foswiki/bin/configure fails

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

foswiki/bin/configure fails

Doug Sampson

Hello-

I upgraded Perl from 5.12 to 5.14 on a FreeBSD 8.2 server recently. While I’m able to access various webs in the Foswiki site, I cannot enter the configure module. Below is the error message I receive after attempting to authenticate myself as an user:

Software error:

Failed to load the perl module Foswiki::Configure::Util. The module was found at /usr/local/www/foswiki/lib/Foswiki/Configure/Util.pm
 
Please ensure that:
   1 Foswiki::Configure::Util is installed,
   2 that the module is available on the @INC path,
   3 that the webserver user (root) has permission to read the Foswiki/Configure/Util.pm file.
The detailed error seen was:
Use of qw(...) as parentheses is deprecated at /usr/local/www/foswiki/lib/Foswiki/Configure/Util.pm line 73.
Compilation failed in require at (eval 28) line 2.
BEGIN failed--compilation aborted at (eval 28) line 2.
 

For help, please send mail to the webmaster ([hidden email]), giving this error message and the time and date of the error.

 

I googled around for this type of error and was unable to find a solution. I did see this:

 

http://foswiki.org/Support/Question964

 

But no solution was provided there. And I’m not sure if that link is applicable to me as that relates primarily to running Foswiki on a Windows system. Has anyone seen this before?

 

I’m running version 1.1.3.

 

~Doug

 


------------------------------------------------------------------------------
Keep Your Developer Skills Current with LearnDevNow!
The most comprehensive online learning library for Microsoft developers
is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
Metro Style Apps, more. Free future releases when you subscribe now!
http://p.sf.net/sfu/learndevnow-d2d
_______________________________________________
Foswiki-discuss mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/foswiki-discuss
Reply | Threaded
Open this post in threaded view
|

Re: foswiki/bin/configure fails

Julian Levens
Doug

It's a known issue caused by perl 5.14. Some work has been done to get FW support for this newer perl

See Item10963 which is FW 1.1.4, so you'll either need to upgrade or check the patches attached to that item.

Julian
--
Sent from my Android phone with K-9 Mail. Please excuse my brevity.
------------------------------------------------------------------------------
Keep Your Developer Skills Current with LearnDevNow!
The most comprehensive online learning library for Microsoft developers
is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
Metro Style Apps, more. Free future releases when you subscribe now!
http://p.sf.net/sfu/learndevnow-d2d
_______________________________________________
Foswiki-discuss mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/foswiki-discuss
Reply | Threaded
Open this post in threaded view
|

Re: foswiki/bin/configure fails

Olivier 'Babar' Raginel
In reply to this post by Doug Sampson
On Wed, Jan 18, 2012 at 02:00:12PM -0800, Doug Sampson wrote:

> I upgraded Perl from 5.12 to 5.14 on a FreeBSD 8.2 server recently.
> While I'm able to access various webs in the Foswiki site, I cannot
> enter the configure module. Below is the error message I receive after
> attempting to authenticate myself as an user:
>
> Software error:
> I googled around for this type of error and was unable to find a
> solution. I did see this:
>
> http://foswiki.org/Support/Question964 
>
> But no solution was provided there. And I'm not sure if that link is
> applicable to me as that relates primarily to running Foswiki on a
> Windows system. Has anyone seen this before?
>
> I'm running version 1.1.3.

That's not true, the solution was provided on your link:
We just released a beta of Foswiki 1.1.4 which has fixes for the "Use of
qw(...) as parentheses is deprecated" error, as well as some fixes for
some other windows related issues. You could try to install the Foswiki
1.1.4 beta1 package. See FoswikiRelease01x01x04RC1? Even though it's
beta, it is still pretty stable. It's been running on foswiki.org for
around 12 hours so far, with only one issue with image linking reported
- Item11189

http://foswiki.org/Tasks/Item11287 [ Item11287: Problems running under
  perl 5.14 ]

As 1.1.4 is now stable, all you have to do is upgrade to it, and this
problem should go away.

--
Babar

------------------------------------------------------------------------------
Keep Your Developer Skills Current with LearnDevNow!
The most comprehensive online learning library for Microsoft developers
is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
Metro Style Apps, more. Free future releases when you subscribe now!
http://p.sf.net/sfu/learndevnow-d2d
_______________________________________________
Foswiki-discuss mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/foswiki-discuss
Reply | Threaded
Open this post in threaded view
|

Re: foswiki/bin/configure fails

Doug Sampson
> That's not true, the solution was provided on your link:
> We just released a beta of Foswiki 1.1.4 which has fixes for the "Use
of
> qw(...) as parentheses is deprecated" error, as well as some fixes for
> some other windows related issues. You could try to install the
Foswiki
> 1.1.4 beta1 package. See FoswikiRelease01x01x04RC1? Even though it's
> beta, it is still pretty stable. It's been running on foswiki.org for
> around 12 hours so far, with only one issue with image linking
reported
> - Item11189
>
> http://foswiki.org/Tasks/Item11287 [ Item11287: Problems running under
>   perl 5.14 ]
>
> As 1.1.4 is now stable, all you have to do is upgrade to it, and this
> problem should go away.
>

You're right. I'm waiting for that version to makes its way into the
FreeBSD ports tree. Currently, only version 1.1.3 is available in the
ports tree. I should email the port maintainer and see how soon the next
version will be released. Luckily for me, there's no immediate need to
reconfigure Foswiki.

~Doug

------------------------------------------------------------------------------
Keep Your Developer Skills Current with LearnDevNow!
The most comprehensive online learning library for Microsoft developers
is just $99.99! Visual Studio, SharePoint, SQL - plus HTML5, CSS3, MVC3,
Metro Style Apps, more. Free future releases when you subscribe now!
http://p.sf.net/sfu/learndevnow-d2d
_______________________________________________
Foswiki-discuss mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/foswiki-discuss